FIX::Queue< T > Class Template Reference

A thread safe monitored queue. More...

`#include <Queue.h>`

Collaboration diagram for FIX::Queue< T >:
[legend]

## Public Member Functions

void | push (const T &value)
bool | pop (T &value)
int | size ()
void | wait (double s)
void | signal ()

## Private Attributes

Event | m_event
Mutex | m_mutex
std::queue< T > | m_queue

## Detailed Description

### template<typename T>
class FIX::Queue< T >

A thread safe monitored queue.

Definition at line 50 of file Queue.h.

## Member Function Documentation

## pop()

template<typename T >

bool FIX::Queue< T >::pop | ( | T & | value | ) |

inline

Definition at line 77 of file Queue.h.

## push()

template<typename T >

void FIX::Queue< T >::push | ( | const T & | value | ) |

inline

Definition at line 70 of file Queue.h.

## signal()

template<typename T >

void FIX::Queue< T >::signal | ( |  | ) |

inline

Definition at line 97 of file Queue.h.

## size()

template<typename T >

int FIX::Queue< T >::size | ( |  | ) |

inline

Definition at line 86 of file Queue.h.

## wait()

template<typename T >

void FIX::Queue< T >::wait | ( | double | s | ) |

inline

Definition at line 92 of file Queue.h.

## Member Data Documentation

## m_event

template<typename T >

Event FIX::Queue< T >::m_event

private

Definition at line 103 of file Queue.h.

## m_mutex

template<typename T >

Mutex FIX::Queue< T >::m_mutex

private

Definition at line 104 of file Queue.h.

## m_queue

template<typename T >

std::queue< T > FIX::Queue< T >::m_queue

private

Definition at line 105 of file Queue.h.

The documentation for this class was generated from the following file:

- Queue.h